
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Oracle】在线重定义表 / iVAN</title>

    <meta name="description" content="【Oracle】在线重定义表 Oracle从9i版本开始提供了在线重定义表功能,通过调用DBMS_REDEFINITION包,可以在修改表结构的同时允许DML操作. 在线重定义表具有以下功能: 1 修改表的存储参数 2 可以将表转移到其他表空间 3 增加并行查询选项 4 增加或删除分区 5 重建表以减少碎片 6 将堆表改为索引组织表或相反的操作 7 增加或删除一个列 调用DBMS_REDEFINITION包需要EXECUTE_CATALOG_ROLE角色和以下权限: CREATE ANY TABLE ALTER ANY TA">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【Oracle】在线重定义表</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Oracle从9i版本开始提供了在线重定义表功能,通过调用DBMS_REDEFINITION包,可以在修改表结构的同时允许DML操作。</p>
<p>在线重定义表具有以下功能：</p>
<p>1 修改表的存储参数</p>
<p>2 可以将表转移到其他表空间</p>
<p>3 增加并行查询选项</p>
<p>4 增加或删除分区</p>
<p>5 重建表以减少碎片</p>
<p>6 将堆表改为索引组织表或相反的操作</p>
<p>7 增加或删除一个列</p>
<p>调用DBMS_REDEFINITION包需要EXECUTE_CATALOG_ROLE角色和以下权限：</p>
<p>CREATE ANY TABLE</p>
<p>ALTER ANY TABLE</p>
<p>DROP ANY TABLE</p>
<p>LOCK ANY TABLE</p>
<p>SELECT ANY TABLE</p>
<p>1.在线重定义的方法</p>
<p>方法一:基于主键。要求原表和重定义后的表有相同的主键列。这是默认方法！</p>
<p>方法二:基于ROWID。该方法不能用于索引组织表(IOT)，并且在重定义的表中会添加隐藏列(M_ROW$$),建议将该列标记为unused或删除。</p>
<p>ALTER TABLE TABLE_NAME SET UNUSED (M_ROW$$);</p>
<p>ALTER TABLE TABLE_NAME DROP UNUSED COLUMNS;</p>
<p>2 使用dbms_redefinition.can_redef_table()，检查原表是否支持进行在线重定义。</p>
<p>如果表中没有主键，则检查失败！</p>
<p>YANG@yangdb&gt; EXEC DBMS_REDEFINITION.CAN_REDEF_TABLE(user, 'T1', DBMS_REDEFINITION.CONS_USE_PK);</p>
<p>BEGIN DBMS_REDEFINITION.CAN_REDEF_TABLE(user, 'T1', DBMS_REDEFINITION.CONS_USE_PK); END;</p>
<p>*</p>
<p>ERROR at line 1:</p>
<p>ORA-12089: cannot online redefine table "YANG"."T1" with no primary key</p>
<p>ORA-06512: at "SYS.DBMS_REDEFINITION", line 139</p>
<p>ORA-06512: at "SYS.DBMS_REDEFINITION", line 1782</p>
<p>ORA-06512: at line 1</p>
<p>YANG@yangdb&gt; alter table t1 add primary key(id); </p>
<p>Table altered.</p>
<p>YANG@yangdb&gt; EXEC DBMS_REDEFINITION.CAN_REDEF_TABLE(user, 'T1', DBMS_REDEFINITION.CONS_USE_PK);</p>
<p>PL/SQL procedure successfully completed.</p>
<p>创建测试表rbol</p>
<p>YANG@yangdb&gt; create table rbol (id number primary key,time date);</p>
<p>Table created.</p>
<p>YANG@yangdb&gt; insert into rbol select rownum ,created from dba_objects;</p>
<p>73987 rows created.</p>
<p>YANG@yangdb&gt; commit;</p>
<p>Commit complete.</p>
<p>3 检查是否可以进行在线重定义！</p>
<p>YANG@yangdb&gt; EXEC DBMS_REDEFINITION.CAN_REDEF_TABLE(user, 'RBOL', DBMS_REDEFINITION.CONS_USE_PK);</p>
<p>PL/SQL procedure successfully completed.</p>
<p>4 根据重定义后你期望得到的结构建立中间表。比如：采用分区表,删除或者增加字段等，创建中间表！</p>
<p>20:22:14 yang(45)@yangdb&gt; create table rbol_tmp (id number primary key,time date,val varchar2(10));</p>
<p>Table created.</p>
<p>20:22:36 yang(45)@yangdb&gt; EXEC DBMS_REDEFINITION.CAN_REDEF_TABLE(user, 'RBOL', DBMS_REDEFINITION.CONS_USE_PK);</p>
<p>PL/SQL procedure successfully completed.</p>
<p>20:22:53 yang(45)@yangdb&gt; exec dbms_redefinition.start_redef_table(user,'RBOL','RBOL_TMP');</p>
<p>PL/SQL procedure successfully completed.</p>
<p>5 在重定义过程中对原表rbol进行dml操作</p>
<p>20:24:39 yang(32)@yangdb&gt; delete from rbol where rownum &lt; 10;</p>
<p>9 rows deleted.</p>
<p>20:24:44 yang(32)@yangdb&gt; select count(1) from rbol;</p>
<p>  COUNT(1)</p>
<p>----------</p>
<p>     73479</p>
<p>1 row selected.</p>
<p>Elapsed: 00:00:00.00</p>
<p>20:24:49 yang(32)@yangdb&gt; select count(1) from rbol_tmp;</p>
<p>  COUNT(1)</p>
<p>----------</p>
<p>     73488</p>
<p>1 row selected.</p>
<p>20:25:43 yang(32)@yangdb&gt; commit;</p>
<p>Commit complete.</p>
<p>6 如果在执行DBMS_REDEFINITION.START_REDEF_TABLE()过程和执行DBMS_REDEFINITION.FINISH_REDEF_TABLE()过程直接在重定义表上执行了大量的DML操作，那么可以选择执行一次或多次的SYNC_INTERIM_TABLE()过程，以减少最后一步执行FINISH_REDEF_TABLE()过程时的锁定时间。</p>
<p>20:25:55 yang(32)@yangdb&gt; exec dbms_redefinition.sync_interim_table(user,'RBOL','RBOL_TMP');</p>
<p>PL/SQL procedure successfully completed.</p>
<p>20:26:06 yang(32)@yangdb&gt; select count(1) from rbol_tmp;</p>
<p>  COUNT(1)</p>
<p>----------</p>
<p>     73479</p>
<p>1 row selected.</p>
<p>20:26:13 yang(32)@yangdb&gt; select count(1) from rbol;    </p>
<p>  COUNT(1)</p>
<p>----------</p>
<p>     73479</p>
<p>1 row selected.</p>
<p>7 结束重定义步骤！</p>
<p>20:25:25 yang(45)@yangdb&gt; exec dbms_redefinition.finish_redef_table(user,'RBOL','RBOL_TMP');</p>
<p>PL/SQL procedure successfully completed.</p>
<p>20:26:43 yang(32)@yangdb&gt; desc rbol</p>
<p> Name   Null?   Type</p>
<p> ------ ------- --------</p>
<p> ID    NOT NULL NUMBER</p>
<p> TIME           DATE</p>
<p> VAL            VARCHAR2(10)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 14:50:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【Oracle】在线重定义表的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwn8VM.html" rel="bookmark">基于 dbms&lowbar;redefinition 在线重定义表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      Oracle 支持在线重定义表,也就是说我们可以在修改表结构(DDL)的同时进行相关的DQL.DML操作,使得前端的DML根本感觉不到表结构实际上已经发生了变化,对于用户而言是完全透明的.当然在线重定义期间,前端性能会稍微有所下降.Oracle提供的重定义包dbms_redefinition即是用与完成此操作.其实质是Oracle使用了智能物化视图及物化视图日志的方式.在对象结构重组期间,表现为一个本地对象的复制,重组期间发生的任何变化都会被刷新到最新.   1.在线重定义表的主要功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4eB4qb.html" rel="bookmark">oracle在线重定义包DBMS&lowbar;REDIFINITION &num;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.itpub.net/post/468/12855 在一个高可用系统中,如果需要改变一个表的定义是一件比较棘手的问题,尤其是对于7×24系统.Oracle提供的基本语法基本可以满足一般性修改,但是对于把普通堆表改为分区表,把索引组织表修改为堆表等操作就无法完成了.而且,对于被大量DML语句访问的表,幸运的是,Oracle从9i版本开始提供了在线重定义表功能,通过调用DBMS_REDEFINITION包,可以在修改表结构的同时允许DML操作. 在线重定义表具有以下功能: 1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A9gDp.html" rel="bookmark">oracle在线重定义拷贝表结构的NOT NULL约束问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前测试和使用的时候还真的没发现这个问题,一直认为COPY_TABLE_DEPENDENTS会自动过滤NOT NULL约束. 然而事实并发如此,如果打算使用COPY_TABLE_DEPENDENTS过程复制索引.约束以及权限等相关对象,那么在建立目标表的时候,即使是NOT NULL约束都应该避免,否则NOT NULL约束的存在会引发错误: SQL&gt; CREATE TABLE T AS 2  SELECT ROWNUM ID, OBJECT_NAME NAME, OBJECT_TYPE TYPE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOd1Bb.html" rel="bookmark">Oracle在线重定义失败后的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				普通表在线重定义为分区表过程中报错,数值范围超过了分区限制大小,那么想要重新对表进行在线重定义需要经过哪些步骤呢?这个例子记录了处理过程: SALES@ORCL&gt;exec dbms_redefinition.start_redef_table('SALES', 'SALES', 'SALES_P'); BEGIN dbms_redefinition.start_redef_table('SALES', 'SALES', 'SALES_P'); END; * ERROR at line 1: OR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDOdep.html" rel="bookmark">Oracle Online Redefinition在线重定义（中）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇中,我们简单地介绍了如何使用Oracle在线重定义特性进行数据表Online的结构变动操作.本篇我们从一个较复杂的案例出发,讨论复杂变化情况下如何进行Online Redefinition,以及dbms_redefinition包各个关键方法的作用.   3.一个分区表的重定义动作   我们定义一个数据表T.     SQL&gt; create table t as select object_id, object_name, created from dba_objects; Table cr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MraPnOb.html" rel="bookmark">Oracle Online Redefinition在线重定义（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面对越来越多的7*24系统,运维人员进行工作可用的时间窗口变的越来越小.就在有限的时间窗口中,硬件检修.网络改造配置占据了很多时间.对数据库对象进行日常维护,越来越成为我们需要关注的问题.   进行数据重排.表分区.字段类型修改.字段增改这样的操作,在开发和测试环境上是比较容易进行的.即使数据表很大,操作耗时可能会很高,我们也能够通过一些非技术的手段赢取操作时间窗.但是对于投产系统而言,操作过程中的长时间锁定可能是业务不能接受的.这个时候,就可以考虑Oracle的一些Online操作技术.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPYwkb.html" rel="bookmark">Oracle Online Redefinition在线重定义（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在之前的文章中,我们看到了如何处理单表在线重定义过程.本篇我们来看一下如何进行关联表的重定义过程.   4.外键关系表重定义   我们先创建出实验数据表.     SQL&gt; create table t_master as select owner, table_name, tablespace_name, status from dba_tables where 1=0; Table created   SQL&gt; alter table t_master add constraint pk_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jeVVb.html" rel="bookmark">Oracle 表在线重定义之普通表到分区表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于一个7*24的在线生产系统来说,修改表定义(DDL)时一件非常痛苦的时,因为如果直接使用 alter语句,将会在表上安放一个排他锁,也就是说在这期间所有的DML和select都无法操作,如果是一 个大表,alter的时间将很长,在这期间应用会受到很大的影响. 幸好,从9i开始,Oracle提供了在线表重定义功能,在修改表定义的同时几乎不影响DML和select语 句,因为排他锁只会在表上出现很短时间.但是在线表重定义需要额外的空间(大致等于原表空间大小 ). 在线表重定义具有如下功能: 修改			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXB2Wyb.html" rel="bookmark">oracle 10g在线重定义新特性：关联对象自动重命名（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				9i的在线重定义存在一个问题,执行完在线重定义后,表的名称虽然保持不变,但是索引.约束.触发器等关联对象的名称会发生变化,有时候这会带来一定的问题,而要在事后手工修改,会比较麻烦. 10g的在线重定义解决这个问题.如果对象是利用COPY_TABLE_DEPENDENTS创建的,那么这些关联的对象在重定义操作完成后,自动改为原始的名称.如果是手工创建的关联对象,则可以利用REGISTER_DEPENDENT_OBJECT过程,所有执行了REGISTER_DEPENDENT_OBJECT过程的关联对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy9q4M.html" rel="bookmark" class="title">菜鸟站长需要的是技术扶持</a>
					<div>
						我也不会写什么软文,也就是想说说心里话而已!借助站长网这个平台去说下自己的感谢而已! 来这里都是做网站的,好多好多菜鸟,包括我自己也是,一个十足的菜鸟,还记得,年前的时候,我刚接触网站这个行业,滚爬了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKo7Wb.html" rel="bookmark" class="title">PHP教程：Linux下PHP服务器的安装与配置</a>
					<div>
						1.#cp httpd-2.0.47.tar.gz 到/usr/local/ 2.#tar zxvf php-4.3.3.tar.gz 3.#cd php-4.3.3 4.#./configure - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5PABM.html" rel="bookmark" class="title">全自动监控网站关键词排名（Python实现）</a>
					<div>
						全自动监控网站关键词排名(Python实现)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR04Dz.html" rel="bookmark" class="title">Symbian开发工具Carbide简介</a>
					<div>
						Carbide分三个版本: Carbide.j是Symbian平台下的J2ME开发工具. Carbide.c++是基于Eclipse的Symbian C++开发工具. Carbide.vs是一个Vis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr1Kdp.html" rel="bookmark" class="title">oracle软解析和硬解析的常见问题</a>
					<div>
						问题一:哪个进程负责硬解析?shared pool设置不合理除了命中率低外还有哪些现象? 说到软解析(soft prase)和硬解析(hard prase),就不能不说一下Oracle对sql的处理过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElXd3z.html" rel="bookmark" class="title">无线路由器密码如何修改更加安全</a>
					<div>
						  首先呢,确保电脑是否已经连接到无线路由器了,然后打开浏览器,输入无线路由器的登录地址,一般都是&quot;192.168.1.1&quot;,如图所示,见红色方框. 然后打开了路由器的登录界面,输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z424r8M.html" rel="bookmark" class="title">office2010怎么设置背景</a>
					<div>
						  大家在使用office2010写文档的时候想给文字设置背景,这个时候可以设置颜色背景或者图片背景,只要按照如下步骤一步步操作就可以轻轻松松给文档设置背景了哦,下面就和小编一起来看看吧. offic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72JeAp.html" rel="bookmark" class="title">ps羽化快捷键是什么</a>
					<div>
						  在PS中选区的羽化可以起到融合边缘的效果,实现渐变过渡边缘,那么在Photoshop中常用的ps羽化快捷键是什么,怎样给选区添加羽化效果.在下面的方法中在调整边缘中设置羽化数值对于较低版本的Pho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNLlKM.html" rel="bookmark" class="title">360软件管家提示&OpenCurlyDoubleQuote;安装未完成&rdquo;怎么办？</a>
					<div>
						这里小编的办法是,将之前安装的旧版本谷歌浏览器先手动卸载掉,这样在360软件管家里就能继续一键安装了. 大家安装其他软件遇到其他相似情况也可以适用上面的方法.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkeEnb.html" rel="bookmark" class="title">win7纯净版系统开机进入桌面后显示黑屏的原因以及解决方法</a>
					<div>
						  开机黑屏原因分析: 出现这样的故障有可能是驱动问题,但是很多用户发现升级主板 BIOS 和显卡驱动后问题仍然没解决的话,那么就很有可能是各种流氓软件或病毒木马的原因导致的. 解决措施: 1.首先重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7jeNp.html" rel="bookmark" class="title">开发人员一定要加入收藏夹的网站</a>
					<div>
						http://www.gotapi.com/  语言:英语  简介:HTML,CSS,XPATH,XSL,JAVASCRIPT等API的查询网站.http://www.w3schools.com/   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQVlnp.html" rel="bookmark" class="title">Github Atom开源文本代码编辑器- 由 Github 打造的下一代编程开发利器</a>
					<div>
						个人理解:Github 热度超凡的一个项目Atom,electron是整个atom的核心,对于electron可以理解成 electron ＝io.js + Chromium    通过 Electr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32dVJz.html" rel="bookmark" class="title">java创建线程的三种方式及其对比</a>
					<div>
						Java中创建线程主要有三种方式: 一.继承Thread类创建线程类 (1)定义Thread类的子类,并重写该类的run方法,该run方法的方法体就代表了线程要完成的任务.因此把run()方法称为执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW6GXp.html" rel="bookmark" class="title">欧洲媒体&OpenCurlyDoubleQuote;杠上&rdquo;谷歌新闻</a>
					<div>
						法国总统奥朗德29日会见来访的谷歌执行董事长埃里克·施密特时表示,希望谷歌能与法国媒体尽快展开谈判,就广告收入分配达成协议.奥朗德同时表示,如有必要,法国将效仿德国考虑征收&quot;谷歌税&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKXBkz.html" rel="bookmark" class="title">界面-酷安首页那个下滑之后 把内容扩展的效果怎么做的</a>
					<div>
						问题描述 酷安首页那个下滑之后 把内容扩展的效果怎么做的 下滑之后 按钮就缩为四个小按钮 解决方案 百度一下,应该会知道 解决方案二: 不清楚你要怎样的效果,不过大致可以给你些思路.你需要的效果,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKyVrz.html" rel="bookmark" class="title">vc&plus;&plus;-VC&plus;&plus;类   小错误   函数引用的</a>
					<div>
						问题描述 VC++类 小错误 函数引用的 求大神指导啊 特别急 解决方案 看这些没用,你应该打开调用堆栈窗格,往下看,找到第一个你写的函数,双击,然后找到你调用的代码行,仔细检查这一行你变量指针.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZjWBz.html" rel="bookmark" class="title">求助 单网卡双线方法</a>
					<div>
						问题描述 服务器是双网卡1内网2公网.公网网卡是双线的.ip160.1.1.1网关60.1.1.2自动跃点数,在这个地址上有个网站.ip2,60.2.2.1网关60.2.2.2跃点数1routepri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXxqWz.html" rel="bookmark" class="title">三星Gear S智能手表自带3G模块 可直接打电话</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 [摘要]注意,Gear S运行的是Tizen系统而非Android Wear系统. 腾讯科技讯 三星周四宣布,公司即将发布的智能手表Gear S将是第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEwoQM.html" rel="bookmark" class="title">中国概念股分化</a>
					<div>
						4月24日,在美上市的主要中国概念股收盘表现分化.涨幅榜上,中国信息技术大涨29.27%,21世纪不动产涨逾18%,金凰珠宝大涨14.74%:光伏股普遍反弹,大全新能源涨7.74%:昱辉阳光涨6.02 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKOJ6p.html" rel="bookmark" class="title">RMAN-03002&comma; RMAN-06059&comma; ORA-19625 and ORA-27037 When Running RMAN Backup of Archivelogs</a>
					<div>
						RMAN备份数据库时,出现下面错误错误信息: Starting backup at 25-MAY-15 current log archived allocated channel: ORA_DISK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4emx8b.html" rel="bookmark" class="title">java&period;lang&period;UnsatisfiedLinkError&colon; Can&amp;amp&semi;&num;39&semi;t load library from JNI code</a>
					<div>
						原文:http://www.velocityreviews.com/forums/t390018-java-lang-unsatisfiedlinkerror-cant-load-library-fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrjjM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;包年优品&rdquo;寒冬博弈垂直细分电商</a>
					<div>
						作为国内首家包年包月订购服务网站,&quot;包年优品&quot;于今年2月改版成功并启用新全拼域名&quot;baonian.net&quot;,切入垂直包月订购服务电商.然而此时,http://w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze04L0p.html" rel="bookmark" class="title">李宁的五年变革路&colon;复兴李宁能否成功</a>
					<div>
						导读:2010年,李宁公司20周年庆.这一年,这间知名企业选择更换了LOGO,同时把口号&quot;一切皆有可能&quot;更换为&quot;Make The Change&quot;,主导者是CEO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2m05z.html" rel="bookmark" class="title">linux shell脚本学习录制与回放终端会话&lowbar;linux shell</a>
					<div>
						复制代码 代码如下: amosli@amosli-pc:~/learn$ script -t 2&gt; timing.log -a output.session#开始录制Script started ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO1Oqb.html" rel="bookmark" class="title">python创建线程示例&lowbar;python</a>
					<div>
						复制代码 代码如下: import threadingfrom time import sleep def test_func(id):    for i in range(0,5):         ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrmxep.html" rel="bookmark" class="title">ASP&period;NET、ASP、PHP、JSP之间有什么区别？&lowbar;经典网摘</a>
					<div>
						Asp:      首先说Asp,它是属于脚本语言,一般连接的数据库为 Access 和 MsSql(SqlServer).当我们开发一个一般的小型数据库网站的时候,一般在3万条记录以下的,一般用Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm5m6z.html" rel="bookmark" class="title">用photoshop制作Flash进度条教程分享</a>
					<div>
						给各位Flash软件的使用者们来详细的解析分享一下用photoshop制作Flash进度条的教程. 教程分享: 第一步: 新建一个600X400PX的画布,把我们提供的纹理丢进去. 现在我们使用&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z5a0z.html" rel="bookmark" class="title">EJB应用服务器集群技术分析</a>
					<div>
						  J2EE平台提供了一个基于组件的方法,用来设计.开发.装配及部署企业应用程序.而且提供了一个多层的分布式的应用模型.组件的复用.一致化的安全模型以及灵活的事务控制模型.近年来在企业系统中得到了大量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkK1Zz.html" rel="bookmark" class="title">java基础-Java 语言，求大神，初学者Java</a>
					<div>
						问题描述 Java 语言,求大神,初学者Java 打印如下图(三角形) * ** ****求大神,求大神,求大神........ 解决方案 和C语言的差不多,打印三角形 解决方案二: public c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5vO8z.html" rel="bookmark" class="title">java中文件读取文件操作数据库</a>
					<div>
						问题描述 java中文件读取文件操作数据库 给个例子 谢谢 解决方案 连接数据库:public class DBConnect {public Connection getConnect(String ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
